Class JsonApiErrorSource

java.lang.Object
org.apache.juneau.bean.jsonapi.JsonApiErrorSource

Represents the source sub-object of a JSON:API Error Object.

Per JSON:API v1.1 § Error Objects, the source object can carry a pointer (JSON Pointer to the offending element), a parameter (the URI query parameter name), and/or a header (the request header name).

  • Constructor Details

  • Method Details

    • getPointer

      public String getPointer()
      Bean property getter: pointer.
      Returns:
      The value of the pointer property, or null if it is not set.
    • setPointer

      Bean property setter: pointer.
      Parameters:
      value - The new value for this property. Can be null to unset the property.
      Returns:
      This object.
    • getParameter

      public String getParameter()
      Bean property getter: parameter.
      Returns:
      The value of the parameter property, or null if it is not set.
    • setParameter

      Bean property setter: parameter.
      Parameters:
      value - The new value for this property. Can be null to unset the property.
      Returns:
      This object.
    • getHeader

      public String getHeader()
      Bean property getter: header.
      Returns:
      The value of the header property, or null if it is not set.
    • setHeader

      Bean property setter: header.
      Parameters:
      value - The new value for this property. Can be null to unset the property.
      Returns:
      This object.
    • toString

      public String toString()
      Overrides:
      toString in class Object